//go:build !windows

package main

import (
	`r00t2.io/goutils/logging`
)

// getOsLogger adds the default logger per OS.
func getOsLogger(logger *logging.MultiLogger, logFlagsRuntime int) (err error) {

	if err = logger.AddDefaultLogger(
		"default",
		logFlagsRuntime,
		"/var/log/gobroke/gobroke.log", "~/logs/gobroke.log",
	); err != nil {
		return
	}

	return
}
