package daemon

import (
	`os`
	`syscall`

	sysdUtil `github.com/coreos/go-systemd/util`
)

// Signal traps
var (
	stopSigs []os.Signal = []os.Signal{
		syscall.SIGQUIT,
		os.Interrupt,
		syscall.SIGTERM,
	}
	reloadSigs []os.Signal = []os.Signal{
		syscall.SIGHUP,
	}
	isSystemd bool = sysdUtil.IsRunningSystemd()
)
