package daemon

import (
	`os`
	`time`

	`r00t2.io/gobroke/conf`
	`r00t2.io/goutils/logging`
)

// Updater runs a persistent checker/updater as a service/daemon.
type Updater struct {
	cfg        *conf.Config
	log        logging.Logger
	timer      *time.Timer
	doneChan   chan bool
	stopChan   chan os.Signal
	reloadChan chan os.Signal
	isStopping bool
}
